Subject: Re: bug#52050: [PATCH] Make tab-line-switch-cycling work with buffer groups

From: Juri Linkov <[email-masked]>
Date: Tue, 23 Nov 2021 10:06:09 +0200

> Currently, `tab-line-switch-cycling' has no effect in the presence of any
> tab that isn't associated with a buffer, such as the `group-tab' that
> exists when `tab-line-tabs-function' is `tab-line-tabs-buffer-groups'. This
> patch modifies `tab-line-switch-to-{next,prev}-tab' to remove any such tab
> from consideration.

Thanks for the patch.  Please send your complete tab-line setup,
so we could test and verify that your patch correctly fixes the problem.
I see at least these settings:

  (setq tab-line-switch-cycling t)
  (setq tab-line-tabs-function 'tab-line-tabs-buffer-groups)

But it seems you also modified either tab-line-tabs-buffer-list-function,
or tab-line-tabs-buffer-group-sort-function, or both of them.  Is this true?